package com.goafanti.order.bo;

/**
 * 设置用户和管理员可操作选项
 *
 */
public class OperatorActive {
	/** 确认意向订单 **/
	private boolean confirmIntention;
	/** 拒绝意向订单 **/
	private boolean refuseIntention;
	/** 支付首付 **/
	private boolean payForFirst; 
	/** 确认支付首付 **/
	private boolean confirmPayForFirst; 
	/** 支付尾款 **/
	private boolean payForLast; 
	/** 确认支付尾款 **/
	private boolean confirmPayForLast;
	/** 申请取消 **/
	private boolean applyForCancel;
	/** 申请退款 **/
	private boolean applyForRefund;
	/** 同意退款 **/
	private boolean agreeRefund;
	/** 拒绝退款款 **/
	private boolean refuseRefund;
	/** 确认退款 **/
	private boolean completeRefund;
	/** 申请提现 **/
	private boolean applyForWithdraw;
	/** 确认提现 **/
	private boolean confirmWithdraw;
	/** 申请作废 **/
	private boolean applyRevoke;
	/** 申请锁定**/
	private boolean applyLock;
	/** 申请解锁 **/
	private boolean applyUnLock;
	/** 申请签单 **/
	private boolean applySign;
	public boolean isConfirmIntention() {
		return confirmIntention;
	}
	public void setConfirmIntention(boolean confirmIntention) {
		this.confirmIntention = confirmIntention;
	}
	public boolean isRefuseIntention() {
		return refuseIntention;
	}
	public void setRefuseIntention(boolean refuseIntention) {
		this.refuseIntention = refuseIntention;
	}
	public boolean isPayForFirst() {
		return payForFirst;
	}
	public void setPayForFirst(boolean payForFirst) {
		this.payForFirst = payForFirst;
	}
	public boolean isConfirmPayForFirst() {
		return confirmPayForFirst;
	}
	public void setConfirmPayForFirst(boolean confirmPayForFirst) {
		this.confirmPayForFirst = confirmPayForFirst;
	}
	public boolean isPayForLast() {
		return payForLast;
	}
	public void setPayForLast(boolean payForLast) {
		this.payForLast = payForLast;
	}
	public boolean isConfirmPayForLast() {
		return confirmPayForLast;
	}
	public void setConfirmPayForLast(boolean confirmPayForLast) {
		this.confirmPayForLast = confirmPayForLast;
	}
	public boolean isApplyForCancel() {
		return applyForCancel;
	}
	public void setApplyForCancel(boolean applyForCancel) {
		this.applyForCancel = applyForCancel;
	}
	public boolean isApplyForRefund() {
		return applyForRefund;
	}
	public void setApplyForRefund(boolean applyForRefund) {
		this.applyForRefund = applyForRefund;
	}
	public boolean isAgreeRefund() {
		return agreeRefund;
	}
	public void setAgreeRefund(boolean agreeRefund) {
		this.agreeRefund = agreeRefund;
	}
	public boolean isRefuseRefund() {
		return refuseRefund;
	}
	public void setRefuseRefund(boolean refuseRefund) {
		this.refuseRefund = refuseRefund;
	}
	public boolean isCompleteRefund() {
		return completeRefund;
	}
	public void setCompleteRefund(boolean completeRefund) {
		this.completeRefund = completeRefund;
	}
	public boolean isApplyForWithdraw() {
		return applyForWithdraw;
	}
	public void setApplyForWithdraw(boolean applyForWithdraw) {
		this.applyForWithdraw = applyForWithdraw;
	}
	public boolean isConfirmWithdraw() {
		return confirmWithdraw;
	}
	public void setConfirmWithdraw(boolean confirmWithdraw) {
		this.confirmWithdraw = confirmWithdraw;
	}
	public boolean isApplyRevoke() {
		return applyRevoke;
	}
	public void setApplyRevoke(boolean applyRevoke) {
		this.applyRevoke = applyRevoke;
	}
	public boolean isApplyLock() {
		return applyLock;
	}
	public void setApplyLock(boolean applyLock) {
		this.applyLock = applyLock;
	}
	public boolean isApplyUnLock() {
		return applyUnLock;
	}
	public void setApplyUnLock(boolean applyUnLock) {
		this.applyUnLock = applyUnLock;
	}
	public boolean isApplySign() {
		return applySign;
	}
	public void setApplySign(boolean applySign) {
		this.applySign = applySign;
	}
}
